/* Basic Styles */
* {
    box-sizing: border-box;
}

/* Toggle Functionality */
#menu-toggle {
    display: none;
}

#menu-toggle:checked ~ .menu-toggle-container .menu-button-toggle {
/*    box-shadow: 0 0 0 550px rgba(0, 0, 0, 0.1), inset 0 0 0 20px rgba(0, 0, 0, 0.1); */
}
#menu-toggle:checked ~ .menu-toggle-container .menu-button-toggle:before {
    transform: /*translateY(-50%)*/ rotate(45deg) scale(1);
}
#menu-toggle:checked ~ .menu-toggle-container .menu-button-toggle:after {
    transform: /* TranslateY(-50%)*/ rotate(-45deg) scale(1);
}
#menu-toggle:checked ~ .menu-nav {
    margin-bottom: 3em;
    pointer-events: auto;
    transform: translate(0px, 50px);
}
#menu-toggle:checked ~ .menu-nav .menu-nav-item {
    color: #000;
    letter-spacing: 0;
    height: 40px;
    line-height: 40px;
    margin-top: 0;
    opacity: 1;
    transform: scaleY(1);
    transition: 0.5s, opacity 0.1s;
}

#menu-toggle:checked ~ .menu-nav .menu-nav-item:hover {
    color: darkolivegreen;
    letter-spacing: 0;
    height: 40px;
    line-height: 40px;
    margin-top: 0;
    opacity: 1;
    transition: 0.2s, opacity 0.1s;
}

#menu-toggle:checked ~ .menu-nav .menu-nav-item:nth-child(1) {
    transition-delay: 0.15s;
}
#menu-toggle:checked ~ .menu-nav .menu-nav-item:nth-child(1):before {
    transition-delay: 0.15s;
}
#menu-toggle:checked ~ .menu-nav .menu-nav-item:nth-child(2) {
    transition-delay: 0.1s;
}
#menu-toggle:checked ~ .menu-nav .menu-nav-item:nth-child(2):before {
    transition-delay: 0.1s;
}
#menu-toggle:checked ~ .menu-nav .menu-nav-item:nth-child(3) {
    transition-delay: 0.05s;
}
#menu-toggle:checked ~ .menu-nav .menu-nav-item:nth-child(3):before {
    transition-delay: 0.05s;
}
#menu-toggle:checked ~ .menu-nav .menu-nav-item:nth-child(4) {
    transition-delay: 0s;
}
#menu-toggle:checked ~ .menu-nav .menu-nav-item:nth-child(4):before {
    transition-delay: 0s;
}
#menu-toggle:checked ~ .menu-nav .menu-nav-item:before {
    opacity: 0;
}

/* Toggle Container */
.menu-toggle-container {
    display: inline-block;
    margin: 0;
    position: absolute;
}

.site-header.scrolled:has(#menu-toggle:checked) {
    background-color: rgba(255,255,255,0.8) !important;
    -webkit-transition: .0s all ease;
    -o-transition: .0s all ease;
    transition: .0s all ease;
}

    /* Toggle Button */
.menu-button-toggle {
    position: absolute;
    display: inline-block;
    width: 28px;
    max-width: 28px;
    height: 30px;
    margin: 25px;
    background-color: transparent;
    border: none;
    cursor: pointer;
    border-radius: 100%;
    transition: 0.6s;
}
.menu-button-toggle:hover {
    box-shadow: 0 0 0 16px rgba(0, 0, 0, 0.1), inset 0 0 0 30px rgba(0, 0, 0, 0.1);
}
.menu-button-toggle:before, .menu-button-toggle:after {
    position: absolute;
    content: "";
    top: 50%;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #000;
    border-radius: 5px;
    transition: 0.5s;
}

.menu-button-toggle:before {
    transform: translateY(-50%) rotate(45deg) scale(0);
}

.menu-button-toggle:after {
    transform: translateY(50%) rotate(-45deg) scale(0);
}

/* Menu */
.menu-nav {
    display: inline-block;
    margin: 25px 25px 20px;
    pointer-events: none;
    transition: 0.5s;
}

.menu-nav-item {
    position: relative;
    /*display: inline-block;*/
    float: left;
    clear: both;
    color: transparent;
    font-size: 18px;
    font-weight: 600;
    letter-spacing: -5.2px;
    height: 10px;
    line-height: 10px;
    text-transform: uppercase;
    white-space: nowrap;
    transform: scaleY(0.2);
    transition: 0.5s, opacity 1s;
}
.menu-nav-item:nth-child(1) {
    transition-delay: 0s;
}
.menu-nav-item:nth-child(1):before {
    transition-delay: 0s;
}
.menu-nav-item:nth-child(2) {
    transition-delay: 0.05s;
}
.menu-nav-item:nth-child(2):before {
    transition-delay: 0.05s;
}
.menu-nav-item:nth-child(3) {
    transition-delay: 0.1s;
}
.menu-nav-item:nth-child(3):before {
    transition-delay: 0.1s;
}
.menu-nav-item:nth-child(4) {
    transition-delay: 0.15s;
}
.menu-nav-item:nth-child(4):before {
    transition-delay: 0.15s;
}
.menu-nav-item:nth-child(1) {
    letter-spacing: -8px;
}
.menu-nav-item:nth-child(2) {
    letter-spacing: -7px;
}
.menu-nav-item:nth-child(n+4) {
    letter-spacing: -8px;
    margin-top: -7px;
    opacity: 0;
}
.menu-nav-item:before {
    position: absolute;
    content: "";
    top: 50%;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #000;
    transform: translateY(-50%) scaleY(5);
    transition: 0.5s;
}
